package tjm.tdg.entities.ai;

import tjm.tdg.entities.Entity;
import tjm.tdg.entities.EntityType;
import tjm.tdg.entities.TriBoolean;

public class AIAttackBase extends AIAttack {
	public AIAttackBase(Entity entitySource) {
		super(entitySource);
	}

	@Override
	public boolean canExecute() {
		this.target = this.entity.closestEntity(new EntityType[] {
			EntityType.TOWER_BASE
		}, TriBoolean.NO, TriBoolean.DONT_CARE);
		if (this.target != null && this.entity.isInRange(this.target)) {
			return true;
		}

		this.target = null;

		return false;
	}
}
