package tjm.tdg.entities.ai;

import tjm.tdg.entities.Entity;
import tjm.tdg.entities.projectiles.Projectile;

public class AIProjectileMove extends AIMove {
	private final Projectile entityProjectile;

	public AIProjectileMove(Entity entitySource) {
		super(entitySource);
		this.entityProjectile = (Projectile) entitySource;
	}

	@Override
	public boolean canExecute() {
		return !this.entityProjectile.isDead();
	}

	@Override
	public boolean execute(int ticks) {
		this.entityProjectile.updateAngle();

		move();

		return true;
	}
}
