package tjm.tdg.entities.towers;

import static tjm.tdg.ResourceManager.getModelCopy;
import tjm.tdg.GameWorld;
import tjm.tdg.ResourceManager.MODEL;
import tjm.tdg.entities.EntityType;
import tjm.tdg.utils.Vector2f;

public class TowerBase extends Tower {
	public TowerBase(GameWorld gameWorld, Vector2f pos) {
		super(gameWorld, pos);

		this.type = EntityType.TOWER_BASE;

		this.model = getModelCopy(MODEL.TOWER_BASE);

		this.radius = new Vector2f(1.0f, 1.0f);
		this.health = this.maxHealth = 2500;
	}
}
