package tjm.tdg.entities.towers;

import static tjm.tdg.ResourceManager.getModelCopy;
import tjm.tdg.GameWorld;
import tjm.tdg.ResourceManager.MODEL;
import tjm.tdg.entities.EntityType;
import tjm.tdg.entities.ai.AIAttack;
import tjm.tdg.utils.Vector2f;

public class TowerLongRange extends Tower {
	public TowerLongRange(GameWorld gameWorld, Vector2f pos) {
		super(gameWorld, pos);

		this.type = EntityType.TOWER_LONG_RANGE;

		this.model = getModelCopy(MODEL.TOWER_LONG_RANGE);

		this.health = this.maxHealth = 400;
		this.attackSpeed = 90;
		this.attackDamage = 30;
		this.attackRange = 3.5f;

		this.taskList.add(new AIAttack(this));
	}
}
