package tjm.tdg.gui;

import tjm.tdg.GameWorld;
import tjm.tdg.ResourceManager;
import tjm.tdg.ResourceManager.IMAGE;
import tjm.tdg.TDG;

import com.threed.jpct.FrameBuffer;
import com.threed.jpct.RGBColor;

public class GuiScreenGameOver extends GuiScreen {
	private final GuiControlButtonCenter btnBackToMainScreen;

	public GuiScreenGameOver(GameWorld world, FrameBuffer frameBuffer, int width, int height) {
		super(world, frameBuffer, width, height);

		int id = 0;
		this.controls.add(this.btnBackToMainScreen = new GuiControlButtonCenter(id++, this, this.width / 2 - 64, this.height / 2, 128, 64, "Back to main", IMAGE.BUTTON));
	}

	@Override
	public void onClick(GuiControl guiControl) {
		if (guiControl.id == this.btnBackToMainScreen.id) {
			TDG.renderer.currentGui = TDG.renderer.guiMain;
		}

	}

	@Override
	public void draw() {
		super.draw();

		drawStringCenter(this.fb, ResourceManager.FONT3, "Game over!", this.width / 2, this.height / 2 - this.height / 8, RGBColor.WHITE);
	}
}
