package tjm.tdg.gui;

import tjm.tdg.GameWorld;
import tjm.tdg.ResourceManager;
import tjm.tdg.ResourceManager.IMAGE;
import tjm.tdg.TDG;

import com.threed.jpct.FrameBuffer;
import com.threed.jpct.RGBColor;

public class GuiScreenPause extends GuiScreen {
	private GuiControlButtonCenter btnPlay;

	public GuiScreenPause(GameWorld world, FrameBuffer frameBuffer, int width, int height) {
		super(world, frameBuffer, width, height);

		int id = 0;
		this.controls.add(this.btnPlay = new GuiControlButtonCenter(id++, this, width - 64, height - 64, 64, 64, "", IMAGE.PLAY));
	}

	@Override
	public void onClick(GuiControl guiControl) {
		if (guiControl.id == this.btnPlay.id) {
			TDG.renderer.currentGui = TDG.renderer.guiInGame;
			ResourceManager.resumeAllSound();
		}
	}

	@Override
	public void draw() {
		super.draw();

		drawStringCenter(this.fb, ResourceManager.FONT3, "Paused", this.width / 2, this.height / 2 - this.height / 8, RGBColor.WHITE);
	}
}
