package tjm.tdg;

public class Settings {
	public final static int TICK_TIME = 32;
	public final static double TICKS_PER_SECOND = 1000.0 / TICK_TIME;
	public final static double SECONDS_PER_TICK = TICK_TIME / 1000.0;

	public final static int LEVEL_WIDTH = 25;
	public final static int LEVEL_HEIGHT = 19;

	public final static int PLACEMENT_OFFSET = 3;

	public final static float CAM_OFFSET_X = LEVEL_WIDTH / 2.0f;
	public final static float CAM_OFFSET_Y = -20;
	public final static float CAM_OFFSET_Z = LEVEL_HEIGHT / 2.0f - PLACEMENT_OFFSET / 2.0f;

	public final static int MOB_REWARD_BERSERKER = 1;
	public final static int MOB_REWARD_TACTICAL = 2;
	public final static int MOB_REWARD_KAMIKAZE = 3;

	public final static int TOWER_COST_BASIC = 3;
	public final static int TOWER_COST_LONG_RANGE = 5;
	public final static int TOWER_COST_SPLASH = 7;

	public final static int MAX_ENTITIES_TOWER = 20;
	public final static int MAX_ENTITIES_ENEMY = 20;

	public static float volBackground = 1.0f;
	public static float volEffect = 1.0f;
}
