package tjm.tdg;

public class Ticker {
	private final int rate;
	private long time;

	public static long getTime() {
		return System.currentTimeMillis();
	}

	public Ticker(int tickrateMS) {
		this.rate = tickrateMS;
		this.time = Ticker.getTime();
	}

	public int getTicks() {
		long timeTmp = Ticker.getTime();
		if (timeTmp - this.time > this.rate) {
			int ticks = (int) ((timeTmp - this.time) / this.rate);
			this.time += (long) this.rate * ticks;
			return ticks;
		}
		return 0;
	}
}
