package tjm.tdg.entities.ai;

import tjm.tdg.entities.Entity;
import tjm.tdg.entities.EntityType;
import tjm.tdg.entities.TriBoolean;

public class AIMoveDirectlyToBase extends AIMove {
	private Entity target = null;

	public AIMoveDirectlyToBase(Entity entitySource) {
		super(entitySource);
	}

	@Override
	public boolean canExecute() {
		if (!super.canExecute()) {
			return false;
		}

		this.target = this.entity.closestEntity(new EntityType[] {
			EntityType.TOWER_BASE
		}, TriBoolean.DONT_CARE, TriBoolean.DONT_CARE);

		if (this.target == null) {
			return false;
		}

		if (this.pos.copyFrom(this.entity.position).sub(this.target.position).length() > 5) {
			this.target = null;
			return false;
		}

		return true;
	}
}
