package tjm.tdg.entities.objects;

import tjm.tdg.GameWorld;
import tjm.tdg.entities.Entity;
import tjm.tdg.utils.Vector2f;

public class WorldObject extends Entity {
	public WorldObject(GameWorld gameWorld, Vector2f pos) {
		this.world = gameWorld;
		this.position = pos.clone();
		this.positionPrev = pos.clone();
		this.radius = new Vector2f(0.5f, 0.5f);
		this.isBlocking = true;
		this.isImmortal = true;
		this.health = this.maxHealth = 1;
	}

	@Override
	public boolean isRemoved() {
		return false;
	}
}
