package tjm.tdg.entities.towers;

import static tjm.tdg.ResourceManager.getModelCopy;
import tjm.tdg.GameWorld;
import tjm.tdg.ResourceManager.MODEL;
import tjm.tdg.entities.EntityType;
import tjm.tdg.entities.ai.AIAttack;
import tjm.tdg.utils.Vector2f;

public class TowerBasic extends Tower {
	public TowerBasic(GameWorld gameWorld, Vector2f pos) {
		super(gameWorld, pos);

		this.type = EntityType.TOWER_BASIC;

		this.model = getModelCopy(MODEL.TOWER_BASIC);

		this.health = this.maxHealth = 500;
		this.attackSpeed = 30;
		this.attackDamage = 5;
		this.attackRange = 2.5f;

		this.taskList.add(new AIAttack(this));
	}
}
