package tjm.tdg.entities.towers;

import static tjm.tdg.ResourceManager.getModelCopy;
import tjm.tdg.GameWorld;
import tjm.tdg.ResourceManager.MODEL;
import tjm.tdg.entities.EntityType;
import tjm.tdg.entities.ai.AIAttack;
import tjm.tdg.utils.Vector2f;

public class TowerSplash extends Tower {
	public TowerSplash(GameWorld gameWorld, Vector2f pos) {
		super(gameWorld, pos);

		this.type = EntityType.TOWER_SPLASH;

		this.model = getModelCopy(MODEL.TOWER_SPLASH);

		this.health = this.maxHealth = 250;
		this.attackSpeed = 150;
		this.attackDamage = 100;
		this.attackRange = 2.0f;

		this.taskList.add(new AIAttack(this));
	}
}
