package tjm.tdg.utils;

public class BoundingBox {
	public final int x0, y0, x1, y1, width, height;

	public BoundingBox() {
		this.x0 = 0;
		this.y0 = 0;
		this.x1 = 0;
		this.y1 = 0;
		this.width = 0;
		this.height = 0;
	}

	public BoundingBox(int x, int y, int width, int height) {
		this.x0 = x;
		this.y0 = y;
		this.x1 = x + width;
		this.y1 = y + height;
		this.width = width;
		this.height = height;
	}

	public boolean contains(BoundingBox boundingBox) {
		if (this.x1 < boundingBox.x0 || this.x0 > boundingBox.x1 || this.y1 < boundingBox.y0 || this.y0 > boundingBox.y1) {
			return false;
		}

		return true;
	}
}
