package tjm.tdg.utils;

public class MathHelper {
	// constants
	public final static double sqrt2 = Math.sqrt(2);
	public final static double sqrt3 = Math.sqrt(3);

	public static boolean isEqual(float a, float b) {
		return isEqual(a, b, 10e-12);
	}

	public static boolean isEqual(double a, double b) {
		return isEqual(a, b, 10e-12);
	}

	public static boolean isEqual(float a, float b, float epsilon) {
		return isEqual((double) a, (double) b, (double) epsilon);
	}

	public static boolean isEqual(double a, double b, double epsilon) {
		return Math.abs(a - b) <= Math.abs(epsilon);
	}
}
